#### Description:

A Prism is a Region which represents an extrusion of an existing Region into one or more orthogonal dimensions (specified by another Region). If the Region to be extruded has N axes, and the Region defining the extrusion has M axes, then the resulting Prism will have (M+N) axes. A point is inside the Prism if the first N axis values correspond to a point inside the Region being extruded, and the remaining M axis values correspond to a point inside the Region defining the extrusion.

As an example, a cylinder can be represented by extruding an existing Circle, using an Interval to define the extrusion. Ih this case, the Interval would have a single axis and would specify the upper and lower limits of the cylinder along its length.

#### Constructor Function

astPrism

#### Inheritance

The Prism class inherits from the Region class.

#### Attributes

The Prism class does not define any new attributes beyond those which are applicable to all Regions.

#### Functions

The Prism class does not define any new functions beyond those which are applicable to all Regions.
Copyright (C) 2021 East Asian Observatory